Package ch.qos.logback.core.joran.spi

## Class JoranException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.joran.spi.JoranException

All Implemented Interfaces:
  `java.io.Serializable`

    public class JoranException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`JoranException​(java.lang.String msg)`
`JoranException​(java.lang.String msg, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JoranException

    public JoranException​(java.lang.String msg)

#### JoranException

    public JoranException​(java.lang.String msg,
                          java.lang.Throwable cause)